Set a detection alert status
- Base URL
-
https://{kibana_url}
- POST /api/detection_engine/signals/status
- POST /s/{space_id}/api/detection_engine/signals/status
Set the status of one or more detection alerts.
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Request body
An object containing desired status and explicit alert ids or a query to select alerts
One of:-
runtime_fieldsmap string to enum · max properties: 100 -
Optional map of field name to runtime field type. For each entry, a runtime field of the specified type is created reading its value from
_source[fieldName]and included in the query asruntime_mappings. Use this to reference fields stored on the alert_sourcethat are not part of the alerts index mapping, for example, custom fields added via data view runtime fields. The combined number of unique field names acrossruntime_fieldsandruntime_mappingsmust not exceed 100. -
<string>enum -
Values:
keywordlongdoubledateipbooleangeo_point -
runtime_mappingsmap string to object · max properties: 100 -
Use this when the query references fields that are not in the alerts index mapping, for example data view runtime fields with a Painless script. The combined number of unique field names across
runtime_fieldsandruntime_mappingsmust not exceed 100.
Responses
Successful response
Response Type: object
Invalid input data response
Unsuccessful authentication response